#include <FilePaths.h>

QString FilePaths::getConfigDataDir()
{
	QString ret = getConfigDir();
	ret.append("/data");
	return ret;
}

QString FilePaths::getGameDataDir()
{
	QString ret = getGameDir();
	ret.append("/data");
	return ret;
}

QString FilePaths::getLauncherIni()
{
	QString ret = getConfigDir();
	ret.append("/");
	ret.append(INI_LAUNCHER);
	return ret;
}

QString FilePaths::getCmdLine()
{
	QString ret = getConfigDataDir();
	ret.append("/");
	ret.append(INI_CMDLINE);
	return ret;
}

QString FilePaths::getModDir(const QString &modName)
{
	QString ret = getGameDir();
	if(modName.isEmpty())
		return ret;
	ret.append("/");
	ret.append(modName);
	return ret;
}

QString FilePaths::getModIni(const QString &modName)
{
	QString ret = getModDir(modName);
	ret.append("/");
	ret.append(INI_MOD);
	return ret;
}

QString FilePaths::getModPixmap(const QString &modName, const QString &pixmap)
{
	QString ret = getModDir(modName);
	ret.append("/");
	ret.append(pixmap);
	return ret;
}

QString FilePaths::getFlagsLch()
{
	QString ret = getTempDir();
	ret.append("/");
	ret.append("flags.lch");
	return ret;
}
