#ifndef INIPARSER_H
#define INIPARSER_H

#include <QtCore>

struct IniEntry
{
	QString key;
	QString val;
	bool dumpable;
};

class IniParser
{
	public:
		IniParser();
		~IniParser();

		bool loadIni(const QString&);
		bool dumpIni(const QString&);

		bool addEntry(const QString&, const QString&, bool = 0);
		bool modEntry(const QString&, const QString&);
		bool delEntry(const QString&);
		QString getEntry(const QString&);

		void setDumpable(bool);
		bool setDumpable(const QString&, bool);

	private:
		QList<IniEntry> list;

};

#endif
