#ifndef SETTINGS_H
#define SETTINGS_h

#include <QtCore>

#include "Singleton.h"

#define SETTINGS (Settings::getSingleton ())

struct LFlag
{
	QString flag;
	QString desc;
	int onFlags;
	int offFlags;
	QString type;
	QString url;
	int state;
};

class Settings : public Singleton <Settings>
{
	public:
		Settings();
		~Settings();

		bool initialize();

		/* path to game binary */
		QString exeFilePath;
		bool setExeFilePath(const QString&);
		/* flags */
		QList<LFlag> exeFlags;
		/* flag categories */
		QStringList exeTypes;
		/* easy setups */
		QStringList easyTypes;
		/* custom flags */
		QString customFlags;

		/* mod name */
		QString modName;
		bool setModName(const QString&);
		/* list of additional mods */
		QStringList mods;
		/* mod info */
		QString modImage, modInfo, modWebsite, modForum;

		QString genArgv(bool = true, bool = true);
		void setFlag(const QString&, int);
		void setCustomFlags(const QString&);
		void setEasyType(int type);
		bool save();

	private:
		bool parseFlagList();
};

#endif
