#include <stdlib.h>
#include <time.h>

#include "System.h"

bool System::mkDir(const QString &dir)
{
	QDir pathNameDir(QFileInfo(dir).path());
	return pathNameDir.mkdir(QFileInfo(dir).fileName());
}

QString System::chDir(const QString &dir)
{
	QString currDir = QDir::currentPath();
	if (QDir::setCurrent(dir))
		return currDir;
	return QString();
}

void System::randomize()
{
	srand(time(NULL));
}

int System::random(int lower, int upper)
{
	if (lower < 0 || upper < 0 || upper < lower)
		return -1;

	return lower + (int) ((float)(upper - lower + 1) * (rand() / (RAND_MAX + 1.0)));
}
