#include <windows.h>

#include "System.h"

bool System::run(const QString &exec, const QStringList &params, bool waitForEnd)
{
	if (exec.isEmpty())
		return false;

	if (QFileInfo(exec).isAbsolute()) {
		if (! QFileInfo(exec).exists())
			return false;
		if (! QFileInfo(exec).isExecutable())
			return false;
	}

	WCHAR *appName = new WCHAR[exec.size()+1];
	int size = exec.toWCharArray(appName);
	appName[size] = '\0';

	QString cmd;
	for (int i = 0; i < params.size(); i++) {
		cmd.append(" ");
		cmd.append(params.at(i));
	}
	WCHAR *cmdLine = new WCHAR[cmd.size()+1];
	size = cmd.toWCharArray(cmdLine);
	cmdLine[size] = '\0';

	PROCESS_INFORMATION process_info;
	STARTUPINFO startup_info;

	memset(&startup_info, 0, sizeof(STARTUPINFO));
	startup_info.cb = sizeof(STARTUPINFO);

	SetErrorMode(SEM_NOOPENFILEERRORBOX);

	bool result = CreateProcess(
				appName,
				cmdLine,
				NULL, NULL, FALSE, 
				CREATE_NEW_CONSOLE | CREATE_DEFAULT_ERROR_MODE,	// flags
				NULL,
				NULL,
				&startup_info,
				&process_info);

	if(result == false)	{
		return false;
	}

	if(waitForEnd) {
		DWORD exit_code;
		do {
			// Sleep so we dont query madly and slow everything down
			Sleep(20);
			GetExitCodeProcess(process_info.hProcess, &exit_code);
		} while (exit_code == STILL_ACTIVE);
	}

	return true;
}

bool System::runBrowser(const QString &url)
{
	if (url.isEmpty())
		return false;

	WCHAR *wszUrl = new WCHAR[url.size()+1];
	int size = url.toWCharArray(wszUrl);
	wszUrl[size] = '\0';

	ShellExecute(0, L"open", wszUrl, 0, 0, SW_SHOWDEFAULT);

	delete wszUrl;
	return true;
}

int System::mSleep(int msec)
{
	Sleep(msec);
	return 1;
}

QSize System::getSize()
{
	return QSize(320, 450);
}
