#CONFIG += btrl
#CONFIG += tbp
#CONFIG += wcsaga

TEMPLATE = app
DEPENDPATH += . src src/gui src/unix
INCLUDEPATH += . src src/gui
CONFIG += qt warn_on debug_and_release

TARGET = fs2_open
RESOURCES = res_fs2_open.qrc

btrl {
	TARGET = btrl_demo
	RESOURCES = res_btrl.qrc
	DEFINES += BTRL
}
tbp {
	TARGET = tbp
	RESOURCES = res_tbp.qrc
	DEFINES += TBP
}
wcsaga {
	TARGET = wcsaga
	RESOURCES = res_wcsaga.qrc
	DEFINES += WCSAGA
}

CONFIG(debug, debug|release) {
	TARGET = $${TARGET}_d
} else {
	TARGET = $${TARGET}
	#DEFINES += QT_NO_DEBUG_OUTPUT
}

HEADERS += src/FilePaths.h \
           src/FS2_Flag.h \
           src/IniParser.h \
           src/Registry.h \
           src/Settings.h \
           src/Singleton.h \
           src/System.h \
           src/gui/MainWindow.h \
           src/gui/TabAudioJoy.h \
           src/gui/TabFeatures.h \
           src/gui/TabMod.h \
           src/gui/TabNetwork.h \
           src/gui/TabRegistry.h \
           src/gui/TabSpeech.h \
           src/gui/TabVideo.h \
           src/gui/TabWelcome.h

SOURCES += src/FilePaths.cpp \
           src/IniParser.cpp \
           src/main.cpp \
           src/Registry.cpp \
           src/Settings.cpp \
           src/System.cpp \
           src/gui/MainWindow.cpp \
           src/gui/TabAudioJoy.cpp \
           src/gui/TabFeatures.cpp \
           src/gui/TabMod.cpp \
           src/gui/TabNetwork.cpp \
           src/gui/TabRegistry.cpp \
           src/gui/TabSpeech.cpp \
           src/gui/TabVideo.cpp \
           src/gui/TabWelcome.cpp

unix {
SOURCES += src/unix/FilePaths_unix.cpp \
           src/unix/System_unix.cpp
}

win32 {
SOURCES += src/win/FilePaths_win.cpp \
           src/win/System_win.cpp \
}
